REPOSITORY-DIST(8)

NAME
repository-dist - enable, configure or disable derivative distribution apt repository

SYNOPSIS
repository-dist [option]

DESCRIPTION
Enables or disables derivative distribution apt repository.

OPTIONS

•   -h, --help

    Print a help message.

•   -v, --verbose

    Verbose output.

•   -e, --enable

    Enables derivative distribution apt repository.

•   -d, --disable

    Disables derivative distribution apt repository.

•   -c, --codename codename

    Advanced users option. Specific literal code names. Only useful in combination with --enable.

•   -r, --repository codename

    Chose either the stable, stable-proposed-updates, testers or developers version of derivative distribution. Only useful in combination with --enable.

•   -t, --transport transport

    Chose either plain-tls, plain-tls-tor, onion or onion-tls. option. plain-tls enables https for the plain net domain. plain-tls-tor enables tor+httpsfor the plain net domain. onion enables tor+http for the onion domain. onion-tls enables tor+https for the onion domain. Note that onion-tls is at time of writing only a theoretical Only useful in combination with --enable. See chapter ONION TLS.

RETURN VALUES
0 Success

1 Error

EXAMPLES
sudo repository-dist

sudo repository-dist --enable --repository stable --transport plain-tls-tor

sudo repository-dist --enable --repository stable --transport onion

sudo repository-dist --verbose --enable --repository stable

sudo repository-dist --enable --codename trixie

sudo repository-dist --disable

sudo repository-dist --disable --verbose

ONION TLS
https://www.kicksecure.com/wiki/Privacy_Policy_Technical_Details#Onion_TLS

WWW
https://www.whonix.org/wiki/Trust

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).